Skip to main content
POST
Create credit note

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
partner_id
integer
required

The customer/partner ID. The id of an existing record in the partners_partners table.

Example:

1

currency_id
integer
required

The currency ID. The id of an existing record in the currencies table.

Example:

1

journal_id
integer
required

The journal ID for invoices. The id of an existing record in the accounts_journals table.

Example:

1

invoice_date
string
required

The invoice date. Must be a valid date.

Example:

"2026-02-16"

invoice_lines
object[]
required

Array of invoice line items with product details, quantities, prices, and taxes. Must have at least 1 items.

Example:
invoice_date_due
string | null

The invoice due date. Cannot be provided if invoice_payment_term_id is specified. Must be a valid date.

Example:

"2026-03-16"

invoice_payment_term_id
integer | null

The payment term ID. Cannot be provided if invoice_date_due is specified. The id of an existing record in the accounts_payment_terms table.

Example:

1

fiscal_position_id
integer | null

The fiscal position ID. The id of an existing record in the accounts_fiscal_positions table.

Example:

1

invoice_user_id
integer | null

The salesperson/user ID. The id of an existing record in the users table.

Example:

1

partner_bank_id
integer | null

The recipient bank account ID. The id of an existing record in the partners_bank_accounts table.

Example:

1

invoice_incoterm_id
integer | null

The incoterm ID. The id of an existing record in the accounts_incoterms table.

Example:

1

invoice_cash_rounding_id
integer | null

The cash rounding ID. The id of an existing record in the accounts_cash_roundings table.

Example:

1

preferred_payment_method_line_id
integer | null

The preferred payment method line ID. The id of an existing record in the accounts_payment_method_lines table.

Example:

1

reference
string | null

The customer reference. Must not be greater than 255 characters.

Example:

"INV-2026-001"

payment_reference
string | null

The payment reference. Must not be greater than 255 characters.

Example:

"PAY-001"

narration
string | null

Terms and conditions / Internal notes.

Example:

"Additional information"

incoterm_location
string | null

The incoterm location. Must not be greater than 255 characters.

Example:

"New York"

delivery_date
string | null

The delivery date. Must be a valid date.

Example:

"2026-02-20"

Response

Created